For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all events
        • GETGet an event by ID
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
AppfolioEvents

Get an event by ID

GET
/v1/events/:event_id
GET
/v1/events/:event_id
$curl https://api.propexo.com/v1/events/event_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "bf24eec5-5f55-47af-827b-dcd279084ed0",
17 "x_property_id": "na",
18 "x_leasing_agent_id": "18a0cd2b-9e25-48e4-ab79-faff62c48b71",
19 "x_type_id": null,
20 "x_location_id": null,
21 "event_name": null,
22 "event_datetime": "2024-08-24T14:00:00.000Z",
23 "appointment_datetime": "2024-08-24T14:00:00.000Z",
24 "type_raw": null,
25 "notes": "This is an appointment to view the unit.",
26 "agent_name": null,
27 "reasons_for_event": null,
28 "associated_lead_ids": [
29 "cm2jeb8af00042qoza7lcb5cx"
30 ],
31 "associated_applicant_ids": [
32 "string"
33 ],
34 "associated_resident_ids": [
35 "cm2jebkdu00072qozfa5p9rs7"
36 ],
37 "integration_id": "clwh5u07w000508me66sfh3um",
38 "integration_vendor": "APPFOLIO",
39 "property_id": "clwi5xiix000008l6ctdgafyh"
40 }
41}
Get an event by ID
Was this page helpful?
Previous

Get all accounting entities

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

event_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error